vsgXchange: vsgXchange::Tiles3D Class Reference

vsgXchange 1.1.9 VulkanSceneGraph 3rd party data integration library

Loading...
Searching...
No Matches
vsgXchange::Tiles3D Class Reference

`#include <3DTiles.h>`

Inheritance diagram for vsgXchange::Tiles3D:
[legend]
Collaboration diagram for vsgXchange::Tiles3D:
[legend]

## Classes
struct | BoundingVolume
| https://github.com/CesiumGS/3d-tiles/blob/1.0/specification/schema/boundingVolume.schema.json More...
struct | Content
| https://github.com/CesiumGS/3d-tiles/blob/1.0/specification/schema/tile.content.schema.json More...
struct | Tile
| https://github.com/CesiumGS/3d-tiles/blob/1.0/specification/schema/tile.schema.json More...
struct | PropertyRange
| https://github.com/CesiumGS/3d-tiles/blob/1.0/specification/schema/properties.schema.json More...
struct | Properties
struct | Asset
| https://github.com/CesiumGS/3d-tiles/blob/main/specification/schema/asset.schema.json More...
struct | Tileset
| https://github.com/CesiumGS/3d-tiles/blob/main/specification/schema/tileset.schema.json More...
struct | ArraySchema
| Template class for reading an array of values from JSON or from a binary block. More...
struct | b3dm_FeatureTable
struct | Batch
struct | BatchTable
struct | i3dm_FeatureTable
class | SceneGraphBuilder

## Public Member Functions
vsg::ref_ptr< vsg::Object > | read (const vsg::Path &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (std::istream &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (const uint8_t *ptr, size_t size, vsg::ref_ptr< const vsg::Options > options={}) const override
vsg::ref_ptr< vsg::Object > | read_json (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_b3dm (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_cmpt (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_i3dm (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_pnts (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_tiles (const vsg::Path &filename, vsg::ref_ptr< const vsg::Options > options) const
bool | supportedExtension (const vsg::Path &ext) const
bool | getFeatures (Features &features) const override
bool | readOptions (vsg::Options &options, vsg::CommandLine &arguments) const override
| uint, sets the SceneGraphBuilder::preLoadLevel values to control what LOD level are pre loaded when reading a tileset.

## Public Attributes
vsg::Logger::Level | level = vsg::Logger::LOGGER_WARN

## Static Public Attributes
static constexpr const char * | report = "report"
static constexpr const char * | instancing = "instancing"
| bool, report parsed glTF to console, defaults to false
static constexpr const char * | pixel_ratio = "pixel_ratio"
| bool, hint for using vsg::InstanceNode/InstanceDraw for instancing where possible.
static constexpr const char * | pre_load_level = "pre_load_level"
| double, sets the SceneGraphBuilder::pixelErrorToScreenHeightRatio value used for setting LOD ranges.

## Detailed Description

3DTiles ReaderWriter, C++ won't handle class called 3DTiles so make do with Tiles3D. Specs for 3DTiles https://github.com/CesiumGS/3d-tiles

The documentation for this class was generated from the following file:

- include/vsgXchange/3DTiles.h